#!/bin/bash
set -e # exit immediately on error
# set -x # display all commands - remove -x before shipping

# *****************************************************************
#
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2016, 2019. All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
# *****************************************************************

# Usage: check-powerai-license.sh [-q]

POWERAI_LICENSE_DIR=".powerai"
POWERAI_LICENSE_REL="1.6.2"
STATUS_FILE=${HOME}/$POWERAI_LICENSE_DIR/powerai-license/${POWERAI_LICENSE_REL}/license/status.dat

print_error_msg()
{
  if [ "$QUIET" = "-q" ]; then :
  else
    echo "The PowerAI license has not been accepted. Please run the license accept script first."
  fi
}

if [ "$#" -eq 1 ]; then
    QUIET=$1;
fi

# Check status file exists and isn't zero length
if [ ! -s "$STATUS_FILE" ]; then
    print_error_msg
    exit 1
fi

exit
